Page MenuHomePhabricator

Rack/Setup ms-be1019-ms-1021
Closed, ResolvedPublic

Description

rack/setup ms-be1019-1021
Rack
Cable
racktables
dns
switch cfg
raid
ILO/UEFI/bios
dhcp
partman

Event Timeline

Cmjohnson claimed this task.
Cmjohnson raised the priority of this task from to Needs Triage.
Cmjohnson updated the task description. (Show Details)
Cmjohnson added projects: ops-eqiad, Operations.
Cmjohnson added subscribers: Cmjohnson, fgiunchedi.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 25 2015, 6:25 PM

All on-site work has been completed including bios setup and raid cfg.

partman and dhcp https://gerrit.wikimedia.org/r/#/c/248705/
dns https://gerrit.wikimedia.org/r/#/c/248702/
mgmt dns https://gerrit.wikimedia.org/r/#/c/248367/

I was trying to get OS install a try, looks like the cabled interface is detected as eth1 not eth0 (also 3c:a8:2a:0d:5f:e8 is what's in puppet). Disabling 10G interface from bios did the trick.

2: eth0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc mq qlen 1000
    link/ether 3c:a8:2a:17:27:38 brd ff:ff:ff:ff:ff:ff
3: eth1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq qlen 1000
    link/ether 3c:a8:2a:0d:5f:e8 brd ff:ff:ff:ff:ff:ff
    inet 10.64.0.8/22 brd 10.64.3.255 scope global eth1
       valid_lft forever preferred_lft forever
    inet6 2620:0:861:101:3ea8:2aff:fe0d:5fe8/64 scope global dynamic 
       valid_lft 2591996sec preferred_lft 604796sec
    inet6 fe80::3ea8:2aff:fe0d:5fe8/64 scope link 
       valid_lft forever preferred_lft forever
fgiunchedi added a comment.EditedOct 30 2015, 12:06 PM

also the "usb embedded user partion" option was enabled, I've disabled it.

The raid configuration isn't correct, the two SSDs are in raid1 but should be raid0, fixed via hpssacli

set target controller slot=3
array all delete
create type=arrayr0 drivetype=ss_sata
create type=arrayr0 drivetype=sata

the embedded user partition shows up as sda

~ # cat /proc/partitions 
major minor  #blocks  name

   8        0    1048576 sda
   8       32 3906985816 sdc
   8       16  293003416 sdb
   8       48 3906985816 sdd
   8       64 3906985816 sde
   8       80 3906985816 sdf
   8       96 3906985816 sdg
   8      112 3906985816 sdh
   8      128 3906985816 sdi
   8      144 3906985816 sdj
   8      160 3906985816 sdk
   8      176 3906985816 sdl
   8      192 3906985816 sdm
   8      208 3906985816 sdn
~ #
fgiunchedi closed this task as Resolved.Nov 2 2015, 11:38 AM

all three machines provisioned